#GAMM MODEL
setwd("~/gamm")
setwd("C:/Users/Othmane/Documents/gamm")


bd<- read.csv2("~/gamm/gam_03.csv")
View(game_03)
names(bd)

bd2<- read.csv2("~/gamm/gam_04.csv")
View(bd2)
names(bd2)

#install.packages("gsubfn")("plyr")(sqldf)(RSQLite)(sqldf)(nlme)(mgcv) 
install.packages("glm.predict") 
install.packages("plyr")
install.packages("sqldf")
install.packages("RSQLite")
install.packages("sqldf")
install.packages("mgcv")
install.packages("nlme")
install.packages("glm2")
install.packages("glm.predict")


library(plyr)
library(sqldf)
library(RSQLite)
library(sqldf)
library(mgcv)
library(nlme)
library(glm2)
library(glm.predict)

require(plyr)
require(sqldf)
require(mgcv)
require(glm2)
require(glm.predict)

names(bd)
names(bd2)

######### Biomass gam1: biomass 2003 gam2: biomass 2004, gam3: abu 2003 gam4:abu 2004
gam1 = gam(Biomass~s(Longitud)+s(Abundance),family=gaussian(link = identity),data=bd, gamma = 1.1)
summary(gam1)
extractAIC(gam1)
AIC(gam1)

gam2 = gam(Biomass~s(Longitud)+s(Abundance),family=gaussian(link = identity),data=bd2, gamma = 1.1)
summary(gam2)
extractAIC(gam2)
AIC(gam2)

par(mar=c(5.1,5.1,4.1,2.1))
plot.gam(gam1,
         residuals=T,
         cex=0.8,pch=1,
         #yaxt="n",
         #xaxt="n",
         pages=1,
         xlab="Longitude()",
         
         ylab="Biomass(kg/km2)",
         main=" ", # MaxEgg
         col="black",
         cex.lab=1.5,
         shade=T)
abline(h=0,lty=2,col="grey")

par(mar=c(5.1,5.1,4.1,2.1))
plot.gam(gam2,
         residuals=T,
         cex=0.8,pch=1,
         #yaxt="n",
         #xaxt="n",
         pages=1,
         xlab="Longitude()",
         ylab="Biomass(kg/km2)",     
         main=" ", # MaxEgg
         col="black",
         cex.lab=1.5,
         shade=T)
abline(h=0,lty=2,col="grey")

AIC(gam1, gam2)

######### Abundance

#first method
gam3 = gam(Abundance~s(Longitud)+s(Biomass),family=gaussian(link = identity),data=bd, gamma = 1.1)
summary(gam3)
extractAIC(gam3)
AIC(gam3)

#Second method
attach(bd)
gam5<-gam(Abundance~s(Biomass)+s(Longitud), family=gaussian(link="identity"), gamma=1.1)
summary(gam5)
plot(gam5,se = TRUE) 

#Third VISGAM
vi1=vis.gam(Abundance~s(Longitud)+s(Biomass),family=gaussian(link = identity),data=bd, gamma = 1.1) 

summary(vi1)
plot.vis.gam(vi1,
         residuals=T,
         cex=0.8,pch=1,
         #yaxt="n",
         #xaxt="n",
         pages=1,
         xlab="Longitude()",
         ylab="Abundance(ind/km2)",     
         main=" ", # MaxEgg
         col="black",
         cex.lab=1.5,
         shade=T)
abline(h=0,lty=2,col="grey")
#######################
par(mar=c(5.1,5.1,4.1,2.1))
plot.gam(gam3,
         residuals=T,
         cex=0.8,pch=1,
         #yaxt="n",
         #xaxt="n",
         pages=1,
         xlab="Longitude()",
         ylab="Abundance(ind/km2)",     
         main=" ", # MaxEgg
         col="black",
         cex.lab=1.5,
         shade=T)
abline(h=0,lty=2,col="grey")

gam4 = gam(Abundance~s(Longitud)+s(Biomass),family=gaussian(link = identity),data=bd2, gamma = 1.1)
summary(gam4)
extractAIC(gam4)
AIC(gam4)

par(mar=c(5.1,5.1,4.1,2.1))
plot.gam(gam4,
         residuals=T,
         cex=0.8,pch=1,
         #yaxt="n",
         #xaxt="n",
         pages=1,
         xlab="Longitude()",
         ylab="Abundance(ind/km2)",     
         main=" ", # MaxEgg
         col="black",
         cex.lab=1.5,
         shade=T)
abline(h=0,lty=2,col="grey")
citation()
