library(ggplot2)
library(extrafont)
## Registering fonts with R
setwd("C:/Users/Othmane/Documents/data")

#abundance biomasse 2003

data<- read.csv("ab_03.csv", header=T, sep=";")

(p <-ggplot(data, aes(x=depth, y=moyab, shape="Density"))+      # making a plot with  x=depth
    geom_errorbar(aes(ymin=moyab-sdab,               # add a errobar to abundance 
                      ymax=moyab+sdab),                             # add a errobar to abundance
                  colour="black", width=.3)       +
    geom_point(shape=16, size= 2) +                # add a point plot  with y= moyab
    ylim(0,800)+xlab("Depth (m)")+ylab("ind/km"))

(p <- p+  geom_point(aes(y = moybio*20, shape="Biomass")) +
    geom_errorbar(aes(ymin=moybio*20-sdbio*20,              # add a errobar to biomass
                      ymax=moybio*20+sdbio*20),             # add a errobar to biomass
                  width=.1,
                  linetype="dashed")+
    scale_shape_discrete(guide = guide_legend(title=NULL))+
    theme(legend.position=c(0.1,0.85),
          legend.background=element_blank(), 
          legend.key=element_blank()))
(p <- p + scale_y_continuous(sec.axis = sec_axis(~./20, name = "kg/km"))) # add a second axis



-------------------------------

#abundance biomasse 2004

dataa<- read.csv("ab_04.csv", header=T, sep=";")

(p <-ggplot(dataa, aes(x=depth, y=moyab, shape="Density"))+      # making a plot with  x=depth
    geom_errorbar(aes(ymin=moyab-sdab,               # add a errobar to abundance 
                      ymax=moyab+sdab),                             # add a errobar to abundance
                  colour="black", width=.3)       +
    geom_point(shape=16, size= 2) +                # add a point plot  with y= moyab
    ylim(0,800)+xlab("Depth (m)")+ylab("ind/km"))

(p <- p+  geom_point(aes(y = moybio*20, shape="Biomass")) +
    geom_errorbar(aes(ymin=moybio*20-sdbio*20,              # add a errobar to biomass
                      ymax=moybio*20+sdbio*20),             # add a errobar to biomass
                  width=.1,
                  linetype="dashed")+
    scale_shape_discrete(guide = guide_legend(title=NULL))+
    theme(legend.position=c(0.1,0.85),
          legend.background=element_blank(), 
          legend.key=element_blank()))
(p <- p + scale_y_continuous(sec.axis = sec_axis(~./20, name = "kg/km"))) # add a second axis



